Jump to content

[SOLVED]OpenCL Errors | Radeon 6770, 10.8.3


Best Answer Lacedaemon, 26 April 2013 - 05:45 AM

Solved!

Just has to replace the existing libcurl.4.dylib in /usr/lib with one from a real Mac (or fresh install).

Do not try to use the libcurl.4.dylib from the installation media, it will cause all of your applications to stop working! Go to the full post


  • Please log in to reply
3 replies to this topic

#1
Lacedaemon

Lacedaemon

    InsanelyMac Protégé

  • Members
  • PipPip
  • 59 posts
  • Gender:Male
  • Location:United States
  • Interests:Hackintosh, Android, Linux, Servers, Jailbreaking
Hi everyone,

I cranked up good ol' Pages today to type up some stuff for school, but to my dismay, I couldn't type anything as if there wasn't any QE/CI!

I don't know when this started happening, but I have reason to suspect that it was the upgrade to 10.8.3. I noticed some graphics deficiencies with my old HD5450 as well...

Tested games like Uplink and Borderlands 2, none of the two work either...

Here's the output from Console:

invalid pixel format

invalid context


[CL_INVALID_DEVICE] : OpenCL Fatal Error : Failed to load the CPU device library: dlopen(/System/Library/Frameworks/OpenCL.framework/Libraries/libcldcpuengine.dylib, 6): Library not loaded: /usr/lib/libcurl.4.dylib
Referenced from: /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
Reason: no suitable image found. Did find:
/usr/lib/libcurl.4.dylib: mach-o, but wrong architecture
/usr/local/lib/libcurl.4.dylib: mach-o, but wrong architecture
/usr/lib/libcurl.4.dylib: mach-o, but wrong architecture


[CL_INVALID_VALUE] : OpenCL Error : Failed to retrieve device ids! Unable to initialize runtime!


[CL_INVALID_CONTEXT] : OpenCL Error : Failed to retain context! Invalid context

These errors loop constantly...

Thanks to everyone that can help!

#2
Lacedaemon

Lacedaemon

    InsanelyMac Protégé

  • Members
  • PipPip
  • 59 posts
  • Gender:Male
  • Location:United States
  • Interests:Hackintosh, Android, Linux, Servers, Jailbreaking

Best Answer

Solved!

Just has to replace the existing libcurl.4.dylib in /usr/lib with one from a real Mac (or fresh install).

Do not try to use the libcurl.4.dylib from the installation media, it will cause all of your applications to stop working!

#3
theconnactic

theconnactic

    Stubborn AMD user

  • Local Moderators
  • 2,797 posts
  • Gender:Male
Congrats, man: a quite ingenious fix indeed!

#4
Lacedaemon

Lacedaemon

    InsanelyMac Protégé

  • Members
  • PipPip
  • 59 posts
  • Gender:Male
  • Location:United States
  • Interests:Hackintosh, Android, Linux, Servers, Jailbreaking

Congrats, man: a quite ingenious fix indeed!

Thanks, but not really. :P I just didn't think my bro would actually give those files to me (he's on real Macbook Air), ever since he left the Hackintosh scene he doesn't want to rip into OS X's guts anymore. :D

Anywho, glad it's all working again!





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy